<p>Ponovimo sada najvažnije dijelove izloženog gradiva.</p>

<ol>
<li>Standardne programirljive module dijelimo na SPLD, CPLD te FPGA.</li>
<li>Tipični primjeri SPLD-ova su programirljivo te poluprogramirljivo logičko polje (PLA te PAL).</li>
<li>Najjednostavniji programirljivi modul je ispisna memorija (ROM).</li>
<li>Strukturno, ispisna memorija (kao i sklopovi PLA i PAL) sastoje se od dva polja: dekoderskog
    polja (ili kraće: dekodera) te koderskog polja (ili kraće: kodera).</li>
<li>Ispisna memorija koja ima \(n\) adresnih bitova ima \(2^n\) memorijskih lokacija. Kod nje,
    dekodersko polje ima upravo \(n\) ulaza i na njih se dovode adresni bitovi. Dekodersko polje
    ima \(2^n\) izlaza i samo je jedan aktivan u bilo kojem trenutku: taj govori koja je memorijska
    lokacija odabrana kombinacijom adresnih bitova koji su narinuti na ulaz dekodera.</li>
<li>Svaka memorijska lokacija sadrži podatkovnu (memorijsku) riječ sastavljenu od jednakog broja bitova.
    Označimo taj broj s \(b\). Kapacitet memorije je ukupan broj podatkovnih bitova koje memorija pamti
    i iznosi \(C = 2^n \cdot b\) bitova.</li>
<li>Zadaća kodera je da na temelju selektirane memorijske lokacije koju dobiva na svoje ulaze, na izlaz
    postavi podatkovnu riječ koja je pohranjena na toj memorijskoj lokaciji.</li>
<li>Razmislite li malo, brzo ćete doći do zaključka da je koder koji generira vrijednosti za \(b\)
    podatkovnih bitova konceptualno sastavljen od upravo \(b\) sklopova ILI, gdje je svaki podatkovni bit
    generiran od jednog sklopa ILI. Primjerice, ako bit D3 treba biti 1 na memorijskim lokacijama 1, 3 i 7,
    sklop ILI će imati ulaze spojene na ulaze kodera (tj. izlaze dekodera) 1, 3 i 7, tako da, kada dekoder
    prepozna da se traži memorijska lokacija 1, 3 ili 7, sklop ILI na izlazu automatski generira vrijednost 
    1 kao pohranjeni podatak (u svim ostalim slučajevima, izlaz će biti u 0).
</li>
</ol>

<p>Na predavanju ćemo se najprije upoznati s nekoliko načina ostvarivanja ispisnih memorija: od onih koje
   se programiraju izravno u tvornici (ROM), preko onih koje korisnik može kod sebe jednom trajno isprogramirati
   (PROM - <i>Programmable</i> ROM), nadalje preko onih koje korisnik može (ograničen manji broj puta) nekoliko
   puta programirati (uz brisanje izlaganjem ultraljubičastom svjetlu; EPROM - <i>Erasable</i> PROM) i konačno
   do onih koje korisnik može (manji ograničen broj puta) višestruko programirati i brisati - sve električkim
   putem (EEPROM - <i>Electrically</i> EPROM).
</p>
<p>Nakon toga nastavit ćemo upoznavanje sa sklopovima SPLD i njihovim nasljednicima.</p>
